# Generated by Django 3.2.7 on 2021-09-25 18:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Contrat',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_signature', models.DateField(null=True)),
                ('date_modification', models.DateField(null=True)),
                ('numero_groupe', models.IntegerField(verbose_name='Numéro identique pour tous les contrats souscrits au même moment par le même utilisateur')),
            ],
        ),
        migrations.CreateModel(
            name='Distribution',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_heure', models.DateTimeField(unique=True)),
                ('duree', models.TimeField()),
                ('lieu', models.CharField(blank=True, max_length=128)),
                ('date_visibilite_paysans', models.DateTimeField(blank=True, null=True)),
                ('date_visibilite_utilisateurs', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='InscriptionAdherent',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unites_commandees', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='LastCreatedDistributions',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('distribution', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gaia_distribs.distribution')),
            ],
        ),
        migrations.CreateModel(
            name='InscriptionProduit',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tarif_vente', models.FloatField(blank=True, help_text='Si vide, prend les informations de la fiche produit', null=True, verbose_name='Tarif unitaire')),
                ('quantite_unitaire', models.CharField(blank=True, help_text='Si vide, prend les informations de la fiche produit', max_length=20, null=True, verbose_name='Quantité unitaire')),
                ('unites_dispo', models.PositiveIntegerField()),
                ('unites_restantes', models.PositiveIntegerField(blank=True, help_text="Les unités restantes pour cette inscription. Il est préférable de ne pas l'ajuster manuellement.", null=True)),
                ('delai_max_fermeture_inscriptions', models.PositiveIntegerField()),
                ('signature_amap', models.BooleanField(default=False)),
                ('signature_ferme', models.BooleanField(default=False)),
                ('distribution', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='inscriptions_produits', to='gaia_distribs.distribution')),
            ],
        ),
    ]
